Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

# Serialized Form

Package org.apache.cassandra.auth

Class org.apache.cassandra.auth.PermissionDenied extends InvalidRequestException implements Serializable

Package org.apache.cassandra.config

Class org.apache.cassandra.config.ConfigurationException extends java.lang.Exception implements Serializable

Package org.apache.cassandra.cql.jdbc

Class org.apache.cassandra.cql.jdbc.MarshalException extends java.lang.RuntimeException implements Serializable

Package org.apache.cassandra.db

Class org.apache.cassandra.db.ColumnFamilyNotDefinedException extends InvalidRequestException implements Serializable

Class org.apache.cassandra.db.KeyspaceNotDefinedException extends InvalidRequestException implements Serializable

Class org.apache.cassandra.db.UnknownColumnFamilyException extends java.io.IOException implements Serializable

Serialized Fields

### cfId

    int cfId

Package org.apache.cassandra.db.compaction

Class org.apache.cassandra.db.compaction.CompactionInfo extends java.lang.Object implements Serializable

serialVersionUID: 3695381572726744816L

Serialized Fields

### cfm

    CFMetaData cfm

### tasktype

    OperationType tasktype

### bytesComplete

    long bytesComplete

### totalBytes

    long totalBytes

Class org.apache.cassandra.db.compaction.CompactionInterruptedException extends java.lang.RuntimeException implements Serializable

serialVersionUID: -8651427062512310398L

Package org.apache.cassandra.db.marshal

Class org.apache.cassandra.db.marshal.MarshalException extends java.lang.RuntimeException implements Serializable

Package org.apache.cassandra.dht

Class org.apache.cassandra.dht.AbstractBounds extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialized Fields

### left

    RingPosition<T> left

### right

    RingPosition<T> right

Class org.apache.cassandra.dht.BigIntegerToken extends Token<java.math.BigInteger> implements Serializable

serialVersionUID: -5833589141319293006L

Class org.apache.cassandra.dht.Bounds extends AbstractBounds<T extends RingPosition> implements Serializable

Class org.apache.cassandra.dht.BytesToken extends Token<byte[]> implements Serializable

serialVersionUID: -2630749093733680626L

Class org.apache.cassandra.dht.ExcludingBounds extends AbstractBounds<T extends RingPosition> implements Serializable

Class org.apache.cassandra.dht.IncludingExcludingBounds extends AbstractBounds<T extends RingPosition> implements Serializable

Class org.apache.cassandra.dht.LocalToken extends Token<java.nio.ByteBuffer> implements Serializable

serialVersionUID: 8437543776403014875L

Serialized Fields

### comparator

    AbstractType<T> comparator

Class org.apache.cassandra.dht.Range extends AbstractBounds<T extends RingPosition> implements Serializable

serialVersionUID: 1L

Class org.apache.cassandra.dht.StringToken extends Token<java.lang.String> implements Serializable

serialVersionUID: 5464084395277974963L

Class org.apache.cassandra.dht.Token extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialized Fields

### token

    java.lang.Object token

Package org.apache.cassandra.io.compress

Class org.apache.cassandra.io.compress.CorruptedBlockException extends java.io.IOException implements Serializable

Package org.apache.cassandra.service

Class org.apache.cassandra.service.DigestMismatchException extends java.lang.Exception implements Serializable

Package org.apache.cassandra.thrift

Class org.apache.cassandra.thrift.AuthenticationException extends java.lang.Exception implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### why

    java.lang.String why

Class org.apache.cassandra.thrift.AuthenticationRequest extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### credentials

    java.util.Map<K,V> credentials

Class org.apache.cassandra.thrift.AuthorizationException extends java.lang.Exception implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### why

    java.lang.String why

Class org.apache.cassandra.thrift.Cassandra.add_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### key

    java.nio.ByteBuffer key

### column_parent

    ColumnParent column_parent

### column

    CounterColumn column

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.add_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.batch_mutate_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### mutation_map

    java.util.Map<K,V> mutation_map

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.batch_mutate_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.describe_cluster_name_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.cassandra.thrift.Cassandra.describe_cluster_name_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.lang.String success

Class org.apache.cassandra.thrift.Cassandra.describe_keyspace_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### keyspace

    java.lang.String keyspace

Class org.apache.cassandra.thrift.Cassandra.describe_keyspace_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    KsDef success

### nfe

    NotFoundException nfe

### ire

    InvalidRequestException ire

Class org.apache.cassandra.thrift.Cassandra.describe_keyspaces_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.cassandra.thrift.Cassandra.describe_keyspaces_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.List<E> success

### ire

    InvalidRequestException ire

Class org.apache.cassandra.thrift.Cassandra.describe_partitioner_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.cassandra.thrift.Cassandra.describe_partitioner_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.lang.String success

Class org.apache.cassandra.thrift.Cassandra.describe_ring_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### keyspace

    java.lang.String keyspace

Class org.apache.cassandra.thrift.Cassandra.describe_ring_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.List<E> success

### ire

    InvalidRequestException ire

Class org.apache.cassandra.thrift.Cassandra.describe_schema_versions_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.cassandra.thrift.Cassandra.describe_schema_versions_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.Map<K,V> success

### ire

    InvalidRequestException ire

Class org.apache.cassandra.thrift.Cassandra.describe_snitch_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.cassandra.thrift.Cassandra.describe_snitch_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.lang.String success

Class org.apache.cassandra.thrift.Cassandra.describe_splits_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### cfName

    java.lang.String cfName

### start_token

    java.lang.String start_token

### end_token

    java.lang.String end_token

### keys_per_split

    int keys_per_split

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.Cassandra.describe_splits_ex_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### cfName

    java.lang.String cfName

### start_token

    java.lang.String start_token

### end_token

    java.lang.String end_token

### keys_per_split

    int keys_per_split

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.Cassandra.describe_splits_ex_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.List<E> success

### ire

    InvalidRequestException ire

Class org.apache.cassandra.thrift.Cassandra.describe_splits_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.List<E> success

### ire

    InvalidRequestException ire

Class org.apache.cassandra.thrift.Cassandra.describe_token_map_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.cassandra.thrift.Cassandra.describe_token_map_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.Map<K,V> success

### ire

    InvalidRequestException ire

Class org.apache.cassandra.thrift.Cassandra.describe_version_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.cassandra.thrift.Cassandra.describe_version_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.lang.String success

Class org.apache.cassandra.thrift.Cassandra.execute_cql_query_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### query

    java.nio.ByteBuffer query

### compression

    Compression compression

See Also:
  `Compression`

Class org.apache.cassandra.thrift.Cassandra.execute_cql_query_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    CqlResult success

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

### sde

    SchemaDisagreementException sde

Class org.apache.cassandra.thrift.Cassandra.execute_prepared_cql_query_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### itemId

    int itemId

### values

    java.util.List<E> values

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.Cassandra.execute_prepared_cql_query_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    CqlResult success

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

### sde

    SchemaDisagreementException sde

Class org.apache.cassandra.thrift.Cassandra.get_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### key

    java.nio.ByteBuffer key

### column_path

    ColumnPath column_path

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.get_count_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### key

    java.nio.ByteBuffer key

### column_parent

    ColumnParent column_parent

### predicate

    SlicePredicate predicate

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.get_count_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    int success

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.Cassandra.get_indexed_slices_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### column_parent

    ColumnParent column_parent

### index_clause

    IndexClause index_clause

### column_predicate

    SlicePredicate column_predicate

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.get_indexed_slices_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.List<E> success

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.get_paged_slice_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### column_family

    java.lang.String column_family

### range

    KeyRange range

### start_column

    java.nio.ByteBuffer start_column

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.get_paged_slice_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.List<E> success

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.get_range_slices_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### column_parent

    ColumnParent column_parent

### predicate

    SlicePredicate predicate

### range

    KeyRange range

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.get_range_slices_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.List<E> success

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.get_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    ColumnOrSuperColumn success

### ire

    InvalidRequestException ire

### nfe

    NotFoundException nfe

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.get_slice_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### key

    java.nio.ByteBuffer key

### column_parent

    ColumnParent column_parent

### predicate

    SlicePredicate predicate

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.get_slice_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.List<E> success

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.insert_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### key

    java.nio.ByteBuffer key

### column_parent

    ColumnParent column_parent

### column

    Column column

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.insert_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.login_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### auth_request

    AuthenticationRequest auth_request

Class org.apache.cassandra.thrift.Cassandra.login_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### authnx

    AuthenticationException authnx

### authzx

    AuthorizationException authzx

Class org.apache.cassandra.thrift.Cassandra.multiget_count_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### keys

    java.util.List<E> keys

### column_parent

    ColumnParent column_parent

### predicate

    SlicePredicate predicate

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.multiget_count_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.Map<K,V> success

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.multiget_slice_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### keys

    java.util.List<E> keys

### column_parent

    ColumnParent column_parent

### predicate

    SlicePredicate predicate

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.multiget_slice_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.util.Map<K,V> success

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.prepare_cql_query_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### query

    java.nio.ByteBuffer query

### compression

    Compression compression

See Also:
  `Compression`

Class org.apache.cassandra.thrift.Cassandra.prepare_cql_query_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    CqlPreparedResult success

### ire

    InvalidRequestException ire

Class org.apache.cassandra.thrift.Cassandra.remove_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### key

    java.nio.ByteBuffer key

### column_path

    ColumnPath column_path

### timestamp

    long timestamp

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.Cassandra.remove_counter_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### key

    java.nio.ByteBuffer key

### path

    ColumnPath path

### consistency_level

    ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

Class org.apache.cassandra.thrift.Cassandra.remove_counter_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.remove_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.Cassandra.set_cql_version_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### version

    java.lang.String version

Class org.apache.cassandra.thrift.Cassandra.set_cql_version_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### ire

    InvalidRequestException ire

Class org.apache.cassandra.thrift.Cassandra.set_keyspace_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### keyspace

    java.lang.String keyspace

Class org.apache.cassandra.thrift.Cassandra.set_keyspace_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### ire

    InvalidRequestException ire

Class org.apache.cassandra.thrift.Cassandra.system_add_column_family_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### cf_def

    CfDef cf_def

Class org.apache.cassandra.thrift.Cassandra.system_add_column_family_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.lang.String success

### ire

    InvalidRequestException ire

### sde

    SchemaDisagreementException sde

Class org.apache.cassandra.thrift.Cassandra.system_add_keyspace_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### ks_def

    KsDef ks_def

Class org.apache.cassandra.thrift.Cassandra.system_add_keyspace_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.lang.String success

### ire

    InvalidRequestException ire

### sde

    SchemaDisagreementException sde

Class org.apache.cassandra.thrift.Cassandra.system_drop_column_family_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### column_family

    java.lang.String column_family

Class org.apache.cassandra.thrift.Cassandra.system_drop_column_family_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.lang.String success

### ire

    InvalidRequestException ire

### sde

    SchemaDisagreementException sde

Class org.apache.cassandra.thrift.Cassandra.system_drop_keyspace_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### keyspace

    java.lang.String keyspace

Class org.apache.cassandra.thrift.Cassandra.system_drop_keyspace_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.lang.String success

### ire

    InvalidRequestException ire

### sde

    SchemaDisagreementException sde

Class org.apache.cassandra.thrift.Cassandra.system_update_column_family_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### cf_def

    CfDef cf_def

Class org.apache.cassandra.thrift.Cassandra.system_update_column_family_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.lang.String success

### ire

    InvalidRequestException ire

### sde

    SchemaDisagreementException sde

Class org.apache.cassandra.thrift.Cassandra.system_update_keyspace_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### ks_def

    KsDef ks_def

Class org.apache.cassandra.thrift.Cassandra.system_update_keyspace_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### success

    java.lang.String success

### ire

    InvalidRequestException ire

### sde

    SchemaDisagreementException sde

Class org.apache.cassandra.thrift.Cassandra.truncate_args extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### cfname

    java.lang.String cfname

Class org.apache.cassandra.thrift.Cassandra.truncate_result extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### ire

    InvalidRequestException ire

### ue

    UnavailableException ue

### te

    TimedOutException te

Class org.apache.cassandra.thrift.CfDef extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### keyspace

    java.lang.String keyspace

### name

    java.lang.String name

### column_type

    java.lang.String column_type

### comparator_type

    java.lang.String comparator_type

### subcomparator_type

    java.lang.String subcomparator_type

### comment

    java.lang.String comment

### read_repair_chance

    double read_repair_chance

### column_metadata

    java.util.List<E> column_metadata

### gc_grace_seconds

    int gc_grace_seconds

### default_validation_class

    java.lang.String default_validation_class

### id

    int id

### min_compaction_threshold

    int min_compaction_threshold

### max_compaction_threshold

    int max_compaction_threshold

### replicate_on_write

    boolean replicate_on_write

### key_validation_class

    java.lang.String key_validation_class

### key_alias

    java.nio.ByteBuffer key_alias

### compaction_strategy

    java.lang.String compaction_strategy

### compaction_strategy_options

    java.util.Map<K,V> compaction_strategy_options

### compression_options

    java.util.Map<K,V> compression_options

### bloom_filter_fp_chance

    double bloom_filter_fp_chance

### caching

    java.lang.String caching

### dclocal_read_repair_chance

    double dclocal_read_repair_chance

### row_cache_size

    double row_cache_size

  Deprecated.

### key_cache_size

    double key_cache_size

  Deprecated.

### row_cache_save_period_in_seconds

    int row_cache_save_period_in_seconds

  Deprecated.

### key_cache_save_period_in_seconds

    int key_cache_save_period_in_seconds

  Deprecated.

### memtable_flush_after_mins

    int memtable_flush_after_mins

  Deprecated.

### memtable_throughput_in_mb

    int memtable_throughput_in_mb

  Deprecated.

### memtable_operations_in_millions

    double memtable_operations_in_millions

  Deprecated.

### merge_shards_chance

    double merge_shards_chance

  Deprecated.

### row_cache_provider

    java.lang.String row_cache_provider

  Deprecated.

### row_cache_keys_to_save

    int row_cache_keys_to_save

  Deprecated.

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.CfSplit extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### start_token

    java.lang.String start_token

### end_token

    java.lang.String end_token

### row_count

    long row_count

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.Column extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### name

    java.nio.ByteBuffer name

### value

    java.nio.ByteBuffer value

### timestamp

    long timestamp

### ttl

    int ttl

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.ColumnDef extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### name

    java.nio.ByteBuffer name

### validation_class

    java.lang.String validation_class

### index_type

    IndexType index_type

See Also:
  `IndexType`

### index_name

    java.lang.String index_name

### index_options

    java.util.Map<K,V> index_options

Class org.apache.cassandra.thrift.ColumnOrSuperColumn extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### column

    Column column

### super_column

    SuperColumn super_column

### counter_column

    CounterColumn counter_column

### counter_super_column

    CounterSuperColumn counter_super_column

Class org.apache.cassandra.thrift.ColumnParent extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### column_family

    java.lang.String column_family

### super_column

    java.nio.ByteBuffer super_column

Class org.apache.cassandra.thrift.ColumnPath extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### column_family

    java.lang.String column_family

### super_column

    java.nio.ByteBuffer super_column

### column

    java.nio.ByteBuffer column

Class org.apache.cassandra.thrift.CounterColumn extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### name

    java.nio.ByteBuffer name

### value

    long value

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.CounterSuperColumn extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### name

    java.nio.ByteBuffer name

### columns

    java.util.List<E> columns

Class org.apache.cassandra.thrift.CqlMetadata extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### name_types

    java.util.Map<K,V> name_types

### value_types

    java.util.Map<K,V> value_types

### default_name_type

    java.lang.String default_name_type

### default_value_type

    java.lang.String default_value_type

Class org.apache.cassandra.thrift.CqlPreparedResult extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### itemId

    int itemId

### count

    int count

### variable_types

    java.util.List<E> variable_types

### variable_names

    java.util.List<E> variable_names

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.CqlResult extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### type

    CqlResultType type

See Also:
  `CqlResultType`

### rows

    java.util.List<E> rows

### num

    int num

### schema

    CqlMetadata schema

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.CqlRow extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### key

    java.nio.ByteBuffer key

### columns

    java.util.List<E> columns

Class org.apache.cassandra.thrift.Deletion extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### timestamp

    long timestamp

### super_column

    java.nio.ByteBuffer super_column

### predicate

    SlicePredicate predicate

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.EndpointDetails extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### host

    java.lang.String host

### datacenter

    java.lang.String datacenter

### rack

    java.lang.String rack

Class org.apache.cassandra.thrift.IndexClause extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### expressions

    java.util.List<E> expressions

### start_key

    java.nio.ByteBuffer start_key

### count

    int count

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.IndexExpression extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### column_name

    java.nio.ByteBuffer column_name

### op

    IndexOperator op

See Also:
  `IndexOperator`

### value

    java.nio.ByteBuffer value

Class org.apache.cassandra.thrift.InvalidRequestException extends java.lang.Exception implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### why

    java.lang.String why

Class org.apache.cassandra.thrift.KeyCount extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### key

    java.nio.ByteBuffer key

### count

    int count

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.KeyRange extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### start_key

    java.nio.ByteBuffer start_key

### end_key

    java.nio.ByteBuffer end_key

### start_token

    java.lang.String start_token

### end_token

    java.lang.String end_token

### row_filter

    java.util.List<E> row_filter

### count

    int count

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.KeySlice extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### key

    java.nio.ByteBuffer key

### columns

    java.util.List<E> columns

Class org.apache.cassandra.thrift.KsDef extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### name

    java.lang.String name

### strategy_class

    java.lang.String strategy_class

### strategy_options

    java.util.Map<K,V> strategy_options

### replication_factor

    int replication_factor

### cf_defs

    java.util.List<E> cf_defs

### durable_writes

    boolean durable_writes

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.Mutation extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### column_or_supercolumn

    ColumnOrSuperColumn column_or_supercolumn

### deletion

    Deletion deletion

Class org.apache.cassandra.thrift.NotFoundException extends java.lang.Exception implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.cassandra.thrift.SchemaDisagreementException extends java.lang.Exception implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.cassandra.thrift.SlicePredicate extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### column_names

    java.util.List<E> column_names

### slice_range

    SliceRange slice_range

Class org.apache.cassandra.thrift.SliceRange extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### start

    java.nio.ByteBuffer start

### finish

    java.nio.ByteBuffer finish

### reversed

    boolean reversed

### count

    int count

### __isset_bit_vector

    java.util.BitSet __isset_bit_vector

Class org.apache.cassandra.thrift.SuperColumn extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### name

    java.nio.ByteBuffer name

### columns

    java.util.List<E> columns

Class org.apache.cassandra.thrift.TBinaryProtocol.Factory extends org.apache.thrift.protocol.TBinaryProtocol.Factory implements Serializable

Class org.apache.cassandra.thrift.TimedOutException extends java.lang.Exception implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Class org.apache.cassandra.thrift.TokenRange extends java.lang.Object implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Serialized Fields

### start_token

    java.lang.String start_token

### end_token

    java.lang.String end_token

### endpoints

    java.util.List<E> endpoints

### rpc_endpoints

    java.util.List<E> rpc_endpoints

### endpoint_details

    java.util.List<E> endpoint_details

Class org.apache.cassandra.thrift.UnavailableException extends java.lang.Exception implements Serializable

Serialization Methods

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Package org.apache.cassandra.tools

Class org.apache.cassandra.tools.BulkLoader.CmdLineOptions extends org.apache.commons.cli.Options implements Serializable

Package org.apache.cassandra.utils

Class org.apache.cassandra.utils.MerkleTree extends java.lang.Object implements Serializable

serialVersionUID: 2L

Serialized Fields

### hashdepth

    byte hashdepth

### maxsize

    long maxsize

### size

    long size

### root

    org.apache.cassandra.utils.MerkleTree.Hashable root

Class org.apache.cassandra.utils.MerkleTree.TreeRange extends Range<Token> implements Serializable

serialVersionUID: 1L

Serialized Fields

### tree

    MerkleTree tree

### depth

    byte depth

### hashable

    org.apache.cassandra.utils.MerkleTree.Hashable hashable

Package org.apache.cassandra.utils.obs

Class org.apache.cassandra.utils.obs.OpenBitSet extends java.lang.Object implements Serializable

Serialized Fields

### bits

    long[][] bits

  We break the bitset up into multiple arrays to avoid promotion failure caused by attempting to allocate large, contiguous arrays (CASSANDRA-2466). All sub-arrays but the last are uniformly PAGE_SIZE words; to avoid waste in small bloom filters (of which Cassandra has many: one per row) the last sub-array is sized to exactly the remaining number of words required to achieve the desired set size (CASSANDRA-3618).

### wlen

    int wlen

### pageCount

    int pageCount

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

Copyright © 2013 The Apache Software Foundation